precision highp float;

uniform sampler2D s_cc3Texture2Ds[2];
uniform vec4 u_cc3MaterialDiffuseColor;

varying vec2 v_texCoord;
varying vec2 a_texCoord;

void main() {
    vec4 textureColor = texture2D(s_cc3Texture2Ds[0], v_texCoord);
    vec4 textureAlpha = texture2D(s_cc3Texture2Ds[1], a_texCoord);
    gl_FragColor.rgb = textureColor.rgb;
    gl_FragColor.a = 1.2 * textureAlpha.r * u_cc3MaterialDiffuseColor.a;
}
