
precision highp float;

uniform sampler2D s_refractionNoiseMap;
uniform vec2 u_cc3SceneTime;

varying vec2 v_texCoord;
varying vec3 v_N;

void main() {
    vec4 texelVector = texture2D(s_refractionNoiseMap, v_texCoord + u_cc3SceneTime.xx * vec2(0.0, 0.04));
    vec4 texelMask = texture2D(s_refractionNoiseMap, v_texCoord);
    gl_FragColor = vec4(texelVector.xy, texelMask.w, 1);
}
