#ifdef GL_ES
precision lowp float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
varying vec2 v_shinyCoord;
uniform sampler2D u_texture;
uniform sampler2D u_shiny;
uniform float u_time;

void main()
{
    vec4 texture = texture2D( u_texture, v_texCoord );
    vec2 shinyUV = vec2( v_shinyCoord.x, v_shinyCoord.y - u_time);
    vec4 shiny = texture2D( u_shiny, shinyUV );
    gl_FragColor = v_fragmentColor * shiny * texture.a;
}
